diff --exclude=CVS -uNr cgit/Makefile cgit.new/Makefile
--- cgit/Makefile	2009-09-21 01:23:43.000000000 +0900
+++ cgit.new/Makefile	2012-06-07 18:21:36.000000000 +0900
@@ -1,7 +1,6 @@
 # $NetBSD$
 
-DISTNAME=	cgit-0.8.3
-PKGREVISION=	1
+DISTNAME=	cgit-0.9.0.3
 CATEGORIES=	www
 MASTER_SITES=	http://hjemli.net/git/cgit/snapshot/
 EXTRACT_SUFX=	.tar.bz2
@@ -17,22 +16,30 @@
 MAKE_JOBS_SAFE=		no
 
 USE_TOOLS+=		gmake
-MAKE_FLAGS+=		GIT_VER=1.6.4.3
+MAKE_FLAGS+=		GIT_VER=1.7.4
 BUILD_MAKE_FLAGS+=	CGIT_CONFIG=${PKG_SYSCONFDIR}/cgitrc
 BUILD_TARGET=		get-git all
 
 CGIT_CONFIG=	${PKG_SYSCONFDIR}/cgitrc
 CGIT_CGIBIN=	${PREFIX}/libexec/cgi-bin
+CGIT_FILTERS=	${PREFIX}/libexec/cgit/filters
 CGIT_HTDOCS=	${PREFIX}/share/httpd/htdocs/cgit
 CGIT_EGDIR=	${PREFIX}/share/examples
 
 CONF_FILES=		${CGIT_EGDIR}/cgitrc ${CGIT_CONFIG}
-INSTALLATION_DIRS=	libexec/cgi-bin share/httpd/htdocs/cgit
+INSTALLATION_DIRS=	libexec/cgi-bin \
+			libexec/cgit/filters \
+			share/httpd/htdocs/cgit \
+			share/examples
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/cgit ${DESTDIR}${CGIT_CGIBIN}/cgit.cgi
 	${INSTALL_DATA} ${WRKSRC}/cgit.png ${DESTDIR}${CGIT_HTDOCS}/cgit.png
 	${INSTALL_DATA} ${WRKSRC}/cgit.css ${DESTDIR}${CGIT_HTDOCS}/cgit.css
 	${INSTALL_DATA} ${WRKSRC}/cgitrc ${DESTDIR}${CGIT_EGDIR}/cgitrc
+	${INSTALL_SCRIPT} ${WRKSRC}/filters/commit-links.sh \
+		${DESTDIR}${CGIT_FILTERS}/commit-links.sh
+	${INSTALL_SCRIPT} ${WRKSRC}/filters/syntax-highlighting.sh \
+		${DESTDIR}${CGIT_FILTERS}/syntax-highlighting.sh
 
 .include "../../mk/bsd.pkg.mk"
diff --exclude=CVS -uNr cgit/PLIST cgit.new/PLIST
--- cgit/PLIST	2009-02-22 12:08:11.000000000 +0900
+++ cgit.new/PLIST	2012-06-07 18:21:52.000000000 +0900
@@ -1,5 +1,7 @@
 @comment $NetBSD$
 libexec/cgi-bin/cgit.cgi
+libexec/cgit/filters/commit-links.sh
+libexec/cgit/filters/syntax-highlighting.sh
 share/httpd/htdocs/cgit/cgit.png
 share/httpd/htdocs/cgit/cgit.css
 share/examples/cgitrc
diff --exclude=CVS -uNr cgit/TODO cgit.new/TODO
--- cgit/TODO	2011-07-26 20:56:17.000000000 +0900
+++ cgit.new/TODO	2012-06-05 10:34:44.000000000 +0900
@@ -1,5 +1,2 @@
 This package is basically finished, note however that it needs to download git while building.
 Maybe there is a nicer solution, or maybe scmgit will have a shared library in the future?
-
-Security issue: please see http://secunia.com/advisories/43633/
- http://secunia.com/advisories/45358/
diff --exclude=CVS -uNr cgit/distinfo cgit.new/distinfo
--- cgit/distinfo	2009-09-21 01:23:44.000000000 +0900
+++ cgit.new/distinfo	2012-06-05 10:23:34.000000000 +0900
@@ -1,8 +1,6 @@
 $NetBSD$
 
-SHA1 (cgit-0.8.3.tar.bz2) = 3957956d71acf2f4a7024bd8ee5ea6f967550d2f
-RMD160 (cgit-0.8.3.tar.bz2) = 383f3547c34f7e015437e4af049372a0dbd05c5f
-Size (cgit-0.8.3.tar.bz2) = 54775 bytes
-SHA1 (patch-aa) = 2a3699097ca01c7f653c20e0de843d562885d0a2
+SHA1 (cgit-0.9.0.3.tar.bz2) = 75696f21c6a8e249f4b59ccff99116ed602966c3
+RMD160 (cgit-0.9.0.3.tar.bz2) = a426468889aff48a19849acd01c9660b37cb0c0f
+Size (cgit-0.9.0.3.tar.bz2) = 64578 bytes
 SHA1 (patch-ab) = 1f049bbb12f6b7322778bd629da0802ed4bd766e
-SHA1 (patch-ac) = 51ace148ac8a41e6b0e19c7c9d00d9ef608b36a1
diff --exclude=CVS -uNr cgit/patches/patch-aa cgit.new/patches/patch-aa
--- cgit/patches/patch-aa	2009-09-21 01:23:44.000000000 +0900
+++ cgit.new/patches/patch-aa	1970-01-01 09:00:00.000000000 +0900
@@ -1,10 +0,0 @@
-$NetBSD$
-
---- Makefile.orig	2009-09-20 18:09:11.000000000 +0200
-+++ Makefile	2009-09-20 18:09:18.000000000 +0200
-@@ -168,4 +168,4 @@
- 	rm -f cgitrc.5 cgitrc.5.html cgitrc.5.pdf cgitrc.5.xml cgitrc.5.fo
- 
- get-git:
--	curl $(GIT_URL) | tar -xj && rm -rf git && mv git-$(GIT_VER) git
-+	curl $(GIT_URL) | tar -xjf - && rm -rf git && mv git-$(GIT_VER) git
diff --exclude=CVS -uNr cgit/patches/patch-ac cgit.new/patches/patch-ac
--- cgit/patches/patch-ac	2009-02-22 11:41:44.000000000 +0900
+++ cgit.new/patches/patch-ac	1970-01-01 09:00:00.000000000 +0900
@@ -1,12 +0,0 @@
-$NetBSD$
-
---- Makefile.orig	2009-02-01 19:31:37.000000000 +0100
-+++ Makefile
-@@ -131,6 +131,7 @@ cgit.o: VERSION
- -include $(OBJECTS:.o=.d)
- 
- libgit:
-+	(cd git; ./configure)
- 	$(QUIET_SUBDIR0)git $(QUIET_SUBDIR1) NO_CURL=1 libgit.a
- 	$(QUIET_SUBDIR0)git $(QUIET_SUBDIR1) NO_CURL=1 xdiff/lib.a
- 
